auto

エントリ公開時の CocoaPods のバージョンは 1.0.0 です。CocoaPods、もしくは iOS のバージョンアップにより、改善される可能性があります。

CocoaPods で Embeded Framework 上にライブラリをインストールする場合、Podfile には、以下のように書くはずです。(下記は、Embeded Framework の EmbededLibrary ターゲットに hogehoge というライブラリをインストールしたいとする Podfile の誤った例)

platform :ios, '9.0'
use_frameworks!

target 'EmbededLibrary' do
  pod 'hogehoge'
end

こうすると、ビルドも通ってうまくいくように思えるのですが、シミュレータや実機でデバッグするときに

dyld: Library not loaded: @rpath ...

のようなエラーが出てしまいます。

エラーが出ないようにするためには、Embeded Framework だけではなく、親の Target にも同じライブラリをインストールする必要があります。

platform :ios, '9.0'
use_frameworks!

def common
  pod 'hogehoge'
end

target 'MainApp' do
  common
end

target 'EmbededLibrary' do
  common
end

参考

Embedded Framework使いこなし術 - Qiita